%define	module	kronolith
%define	name	horde-%{module}
%define	version	1.1.2
%define	release	3mdk
%define order	72
#New ADVX macros
%{expand:%(cat  %{_datadir}/ADVX/ADVX-build)}

Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Summary:	The Horde calendar application
License:	LGPL
Group:		System/Servers
Source0:	%{module}-%{version}.tar.bz2
Source1:	%{module}-apache.conf.bz2
Source2:	%{module}-horde.conf.bz2
Patch0:		%{module}-calendar_path.patch.bz2
URL:		http://www.horde.org/kronolith/
Requires:	horde >= 2.2.5-2mdk
Requires:	horde-imp
Requires:	apache2-common
Requires:	mod_php >= 4.3.0
Requires:	php-mcal
Requires:	php-pear-Date
Requires:	php-pear-HTML_Common
Requires:	php-pear-HTML_Select
Provides:	%{module}
Obsoletes:	%{module}
BuildRequires:	ADVX-build >= 1.2
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
Kronolith is the Horde calendar application. It provides a stable and
featureful individual calendar system for every Horde user, and
collaboration/scheduling features are starting to take shape. It makes
extensive use of the Horde Framework to provide integration with other
applications.

%prep
%setup -q -n %{module}-%{version}
%patch0

%build

%install
rm -rf $RPM_BUILD_ROOT

# apache configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_base}/webapps.d
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{ap_base}/webapps.d/%{order}_%{name}.conf

# horde configuration
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/config/registry.d
bzcat %{SOURCE2} > $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/config/registry.d/%{module}.php

# install files
install -d -m 755 $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{module}
cp -pR * $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}
cp -pR scripts/* $RPM_BUILD_ROOT%{_datadir}/%{module}

# post-install cleanup
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/COPYING
rm -f $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/README
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/scripts
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/docs
rm -rf $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/po

# remove .htaccess files
find $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module} -name .htaccess -exec rm -f {} \;

# activate configuration files
for file in $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/config/*.dist; do
	mv $file ${file%.dist}
done

perl -pi -e "s|\['calendar'\]\['params'\]\['username'\] =.*$|['calendar']['params']['username'] = 'kronolith';|" $RPM_BUILD_ROOT%{ap_htdocsdir}/horde/%{module}/config/conf.php

%clean
rm -rf $RPM_BUILD_ROOT

%post
mcalpass=`perl -le'print map { (a..z,A..Z,0..9)[rand 62] } 0..pop' 12`
htpasswd -b /etc/mpasswd kronolith "$mcalpass"
perl -pi -e "s|\['calendar'\]\['params'\]\['password'\] =.*$|['calendar']['params']['password'] = '$mcalpass';|" %{ap_htdocsdir}/horde/%{module}/config/conf.php
%ADVXpost

%postun
%ADVXpost
htpasswd -bD /etc/mpasswd kronolith ""

%files
%defattr(-,root,root)
%doc README COPYING docs
# Apache configuration file
%config(noreplace) %{ap_base}/webapps.d/%{order}_%{name}.conf
# Horde configuration file
%config(noreplace) %{ap_htdocsdir}/horde/config/registry.d/%{module}.php
# scripts
%{_datadir}/%{module}
# top level dir and files
%dir %{ap_htdocsdir}/horde/%{module}
%{ap_htdocsdir}/horde/%{module}/*.php
# standard dirs
%{ap_htdocsdir}/horde/%{module}/graphics
%{ap_htdocsdir}/horde/%{module}/lib
%{ap_htdocsdir}/horde/%{module}/templates
%{ap_htdocsdir}/horde/%{module}/util
%{ap_htdocsdir}/horde/%{module}/locale
# config files
%dir %{ap_htdocsdir}/horde/%{module}/config
%config(noreplace) %{ap_htdocsdir}/horde/%{module}/config/*.php

%changelog
* Sun Jul 18 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.2-3mdk 
- apache config file in %{ap_base}/webapps.d

* Sat May 01 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.2-2mdk
- renamed to %{name}
- pluggable horde configuration
- standard perms for %{ap_confd}/%{order}_%{name}.conf
- don't provide useless ADVXpackage virtual package

* Mon Apr 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.1.2-1mdk
- new version
- dropped patch 1 (no more useful)

* Sun Feb 15 2004 Pascal Terjan <pterjan@mandrake.org> 1.1-10mdk
- require imp not only in changelog...

* Sun Feb 15 2004 Pascal Terjan <pterjan@mandrake.org> 1.1-9mdk
- Requires imp
- fix bad redirect after login (Patch1)

* Sun Feb 15 2004 Pascal Terjan <pterjan@mandrake.org> 1.1-8mdk
- oops remove useless Requires

* Sun Feb 15 2004 Pascal Terjan <pterjan@mandrake.org> 1.1-7mdk
- make kronolith work out-of-the-box using mcal

* Sun Dec 28 2003 Pascal Terjan <pterjan@mandrake.org> 1.1-6mdk
- requires php-pear-HTML_Common and php-pear-HTML_Select

* Sun Dec 28 2003 Pascal Terjan <pterjan@mandrake.org> 1.1-5mdk
- requires php-pear-Date

* Sat Dec 20 2003 Guillaume Rousse <guillomovitch@mandrake.org> 1.1-4mdk
- untagged localisation files
- no more .htaccess files, use %{ap_confd}/%{order}_%{module}.conf instead
- scripts now in  %{_datadir}/{name}

* Sun Sep 14 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 1.1-3mdk
- first mdk release
